<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Paciente</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css">

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
</head>

<body>
    <!--barra de navegacion-->
    <div>
        <h1 class="display-4 text-center mt-3 mb-3">HOSPITAL "ME ESTOY MURIENDO"</h1>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Brand/logo -->
            <a class="navbar-brand" href="index.html">Inicio</a>

            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="doctor.html">Doctor</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="especialidad.html">Especialidad</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="paciente.html">Paciente</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="consulta.html">Consulta</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="DetalleConsulta.html">DetalleConsulta</a>
                </li>
            </ul>
        </nav>
    </div>
    <!--TABLA-->
    <div class="container">
        <h1 class="display-4 mt-3">Pacientes</h1>
        <button type="button" class="btn btn-dark" data-toggle="modal" data-target="#mAdd">
            Nuevo Paciente</button>
        <table class="table mt-2" id="tablaPaciente">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>NOMBRE</th>
                    <th>DIRECCION</th>
                    <th>ACCIONES</th>
                </tr>
            </thead>
            <tbody id="cPaciente">

            </tbody>
        </table>
    </div>

    <!--modal para agregar-->
    <div id="mAdd" class="modal fade" style="margin-right: auto;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Nuevo Paciente</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label>NOMBRE:</label>
                        <input type="text" class="form-control" id="nombre" placeholder="Ingrese su nombre">
                    </div>
                    <div class="form-group">
                        <label>DIRECCION:</label>
                        <textarea name="direccion" id="direccion" cols="30" rows="7" class="form-control"
                            placeholder="Ingrese su direccion"></textarea>
                    </div>
                    <div class="modal-footer">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
                        <input type="button" class="btn btn-primary" data-dismiss="modal" value="Guardar"
                            id="addPaciente">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--modal editar-->
    <div id="mUpdate" class="modal fade" style="margin-right: auto;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Editar Doctor</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <!-- <label for="nombre">ID:</label> -->
                        <input readonly="readonly" id="idP" class="form-control" type="hidden">
                    </div>
                    <div class="form-group">
                        <label>NOMBRE:</label>
                        <input type="text" class="form-control" id="nombre2">
                    </div>
                    <div class="form-group">
                        <label>DIRECCION:</label>
                        <textarea name="direccion" id="direccion2" cols="30" rows="7" class="form-control"></textarea>
                    </div>
                    <div class="modal-footer">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
                        <input id="updatePaciente" type="button" class="btn btn-primary" data-dismiss="modal"
                            value="Guardar">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--modal para eliminar -->
    <div id="mDelete" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-danger">
                    <h3 class="modal-tittle text-light">Eliminar Doctor</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <h4 class="text-danger">¿Esta seguro de eliminar al paciente?</h4>
                </div>
                <div class="modal-footer">
                    <input id="deletePaciente" type="button" data-dismiss="modal" class="btn btn-danger"
                        value="Eliminar">
                    <input type="reset" class="btn btn-success" data-dismiss="modal" value="Cancelar">
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>
    <script src="/js/jquery.js"></script>
    <script src="/js/paciente.js"></script>
</body>

</html>